<form method="post" action="{{ path('preference_delete', {'id': arrayRecetteAndPreferenceID[idRecette]}) }}" onsubmit="return confirm('Êtes-vous sûr(e) de vouloir retirer cette recette de vos préférences ?');">
    <input type="hidden" name="_method" value="DELETE">
    <input type="hidden" name="_token" value="{{ csrf_token('delete') }}">
    <button class="btn p-0"><span class="text-danger h1"><i class="fas fa-heart"></i></button>
</form> 